Loyality Documentation
    Loyality Documentation
    • Coaches
      • Resumes
        • Get all Resumes
        • Filter Resume By Status
        • Get Resume Details
        • Mark As Done
        • Drop A Review
        • Drop Updated Resume
      • Sessions
        • Get All My Sessions
        • View Specific Session
        • Raise A Concern
        • Mark As Complete
        • Ask For Reschdule
      • Mock A Coach
        POST
    • Users
      • Sessions
        • Create A Session (New)
        • Get All Sessions
        • Get A Session
        • Drop A Review
        • Book A Discovery Call
        • Reshedule Session
        • Close Session
        • Raise A Concern
        • One-On-One Coaching
      • Authentication
        • Registration
        • Login
        • Logout
        • Forget-Password
        • Resend Activation Link
        • View Profile
        • Update Account
        • Update Account As Coach
        • Activate Reset Password
        • Google Auth (Redirection Page)
        • Google Auth Callback
        • Change Password
        • Price Account Set Up
        • Schedule Account Setup
        • Turn On / Off Individual Session
      • Resumes
        • Submit A Resume
        • Get All Resumes
        • Get A Specific Resume
        • Make A Review
        • Raise A Concern
      • BootCamps
        • Register For BootCamp
      • Payments
        • Verify Payment Hook
    • Admin
      • Videos
        • Upload An Video
        • Get All Videos
        • Get Specific Videos
        • Delete Video
        • Update Video
      • Community
        • Get All Communities
        • Create A Community
        • Update Community
        • Delete Community
        • Get All Newsletters
      • Coaches
        • Get All Coaches
        • Coach Profile
        • Swtich Coaches Role
      • Sessions
        • Get All Sessions
        • Get Session Details
        • Mark As Complete
        • Setting Timeline On One-On-One
        • USD Session & Sends USD Notification
      • Authentication
        • Profile
        • Admin Login
      • Users
        • Get All Users
        • User Profile
      • Articles
        • Get All Articles
        • Get Article Details
        • Create A Article
        • Update Article
        • Delete Article
      • Testimonials
        • Get All Testimonials
        • Approve Or Disapprove Testimonails
        • Create A Testimonial
        • Get Specific Testimonial
      • BootCamp (Cohort)
        • Add Cohort
        • Get All Cohorts
        • Get All Specific Cohort
        • Get All Students
        • Delete Cohort
        • Update Cohort
      • Resumes
        • Get All Resumes
        • Assign A Resume
        • Get Resume Details
      • Hero Videos
        • Get All Hero Videos
        • Upload Hero Video
        • Get A Specific Hero Video
        • Update Hero Video
        • Delete Hero Video
      • Events
        • Get All Events
        • Create Event
        • Update Event
        • Get Specfic Events
        • Delete Events
      • Get All Subscribers
        GET
    • Get All Coaches
      GET
    • Welcome Page
      GET
    • Activate Account
      GET
    • HealthCheck
      GET
    • Sign Up For NewsLetters
      POST
    • Get All Plans
      GET
    • List Of Banks
      GET
    • Account Verification
      POST
    • Get A Coach
      GET
    • Get all Testimonials
      GET
    • Get All BootCamps
      GET
    • Get All Articles
      GET
    • Get Specific Articles
      GET
    • Get A Specific Bootcamp
      GET
    • Get A Specific Video
      GET
    • Get All Videos
      GET
    • Get All Events
      GET
    • Get A Specific Event
      GET
    • Get All Hero Videos
      GET
    • Get All Communities
      GET
    • Get A Coach By Slug
      GET
    • Check Slug Availability
      GET

      Get A Coach By Slug

      GET
      /api/v1/coaches/slug/{slug}

      Request

      Path Params

      Responses

      🟢200
      application/json
      Body

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request GET '/api/v1/coaches/slug/abdullah'
      Response Response Example
      {
          "data": {
              "message": "Request data successfully queried",
              "status": true,
              "coach": {
                  "id": "6782633cae5e28ad9822bdcb",
                  "email": "abdullahyahaya46@gmail.com",
                  "fullName": "Yahaya Abdullah Abu",
                  "phone": "+2348089885365",
                  "profile": "https://res.cloudinary.com/dzljyt3y1/image/upload/v1736862900/vwq1ytnvpuul1sy2evdj.jpg",
                  "role": "coach",
                  "coachDetails": {
                      "skills": [
                          "Project Management",
                          "Kanban"
                      ],
                      "placeOfWork": "Victorial Island, Lagos",
                      "slug": "abdullah-yahaya",
                      "account": {
                          "name": "Yahaya Abdullah",
                          "number": "0201021081",
                          "bank": "GT Bank",
                          "_id": "67866cb50d1a263c82453049"
                      },
                      "companies": [
                          {
                              "name": "Cholatrek",
                              "logo": "logo.com"
                          }
                      ],
                      "price": {
                          "mockInterview": {
                              "halfMinutes": 40000,
                              "status": true,
                              "anHour": 30000
                          },
                          "pmClaritySession": {
                              "halfMinutes": 6000,
                              "status": true,
                              "anHour": 70000
                          },
                          "liveResumes": {
                              "halfMinutes": 9000,
                              "status": true,
                              "anHour": 232000
                          },
                          "resumeOverEmail": {
                              "halfMinutes": 30000
                          }
                      },
                      "availability": {
                          "timezone": "African/Lagos",
                          "timelines": {
                              "monday": [
                                  "9:00AM-10:00AM",
                                  "10:00AM-11:00AM"
                              ],
                              "tuesday": [
                                  "03:00PM-04:00PM",
                                  "11:00AM-12:00Noon"
                              ],
                              "wednesday": [
                                  "03:00PM-04:00PM",
                                  "10:00AM-11:00AM"
                              ],
                              "thursday": [
                                  "03:00PM-04:00PM",
                                  "10:00AM-11:00AM"
                              ],
                              "saturday": [],
                              "sunday": []
                          }
                      },
                      "_id": "67866cb50d1a263c82453048",
                      "property": false
                  },
                  "createdAt": "2025-01-11T12:25:32.014Z",
                  "updatedAt": "2025-03-28T11:54:59.055Z",
                  "isActivated": true
              }
          }
      }
      Modified at 2026-03-12 16:57:10
      Previous
      Get All Communities
      Next
      Check Slug Availability
      Built with